
char *forth_bytecode[] = {
  "DOCON",
  "DO_DASH_MORE",
  "DO0_DASH_MORE",
  "DO_PLUS_MORE",
  "DOINC",
  "DOBCON",
  "DOB_DASH_MORE",
  "DOB0_DASH_MORE",
  "DOCOL",
  "DOCOL1",
  "DO_SEMI_S",
  "DOVAR",
  "DODOES",
  "DOASM"
};
 
char *forth_primitive[] = {
  "FP_LIT",
  "FP_BRANCH1",
  "FP_0BRANCH1",
  "FP_NZBRCH1",
  "FP_DH_D0BR1",
  "FP_D0BR1",
  "FP_BRANCH",
  "FP_0BRANCH",
  "FP_LP_LOOP_RP",
  "FP_NZBRCH",
  "FP_0BR_AN_DROP",
  "FP_LP_PL_LOOP_RP",
  "FP_DH_D0BR",
  "FP_D0BR",
  "FP_DH_DNZBR",
  "FP_DNZBR",
  "FP_D0BR_AN_DROP",
  "FP_0DROP_AN_BR",
  "FP_0DROPX",
  "FP_0EXIT",
  "FP_NZEXIT",
  "FP_NZDROPX",
  "FP_LP_LOOP1_RP",
  "FP_LP_DO_RP",
  "FP_LB_BDO_RB",
  "FP_LB_0DO_RB",
  "FP_DIGIT",
  "FP_U_ST",
  "FP_U_SL",
  "FP_E_ST",
  "FP_E_SL_MOD",
  "FP_AND",
  "FP_OR",
  "FP_0_LT_GT_AND",
  "FP_0_EQ_AND",
  "FP_C_AT_DH_AND_DT_OP",
  "FP_B_DH_AND_DT_OP",
  "FP_EVAL_DH_SUB",
  "FP_LEAVE",
  "FP_GT_R",
  "FP_R_GT",
  "FP_I",
  "FP_R",
  "FP_DUP_GT_R",
  "FP_R_GT_DROP",
  "FP_0_EQ",
  "FP_0_LT_GT",
  "FP_0_LT",
  "FP_PL",
  "FP_B_PL_DT_OP",
  "FP_DO_PL_SC",
  "FP_MINUS",
  "FP_DH",
  "FP_SWAP_DH",
  "FP_LT",
  "FP_GT",
  "FP_LT_DT_OP",
  "FP_GT_DT_OP",
  "FP_ROT",
  "FP_OVER",
  "FP_OVER_DH",
  "FP_OVER_PL",
  "FP_DROP",
  "FP_SWAP",
  "FP_DUP",
  "FP_2DUP",
  "FP_4DUP",
  "FP_PL_SV",
  "FP_TOGGLE",
  "FP_BITS_DH_ON",
  "FP_BITS_DH_OFF",
  "FP_2DUPOR",
  "FP_D_PL",
  "FP_1D_PL",
  "FP_D_DH",
  "FP_DMINUS",
  "FP_D_EQ",
  "FP_D_GT",
  "FP_D_LT",
  "FP_AT",
  "FP_C_AT",
  "FP_2_AT",
  "FP_SV",
  "FP_SWAP_SV",
  "FP_C_SV",
  "FP_SWAPC_SV",
  "FP_2_SV",
  "FP_LT_OVER_EQ_IFDROP_GT",
  "FP_OF_DH_S_DT_OP",
  "FP_DH_DUP",
  "FP_2SWAP",
  "FP_4DROP",
  "FP_3DROP",
  "FP_2DROP",
  "FP_SWAPDROP",
  "FP_SWAPDUP",
  "FP_SWAPOVER",
  "FP_LT_GT",
  "FP_EQ",
  "FP_1_PL",
  "FP_2_PL",
  "FP_3_PL",
  "FP_4_PL",
  "FP_6_PL",
  "FP_1_DH",
  "FP_3_DH",
  "FP_PUSH11",
  "FP_PUSH00",
  "FP_PUSH10",
  "FP_PUSH01",
  "FP_U_LT",
  "FP_COUNT",
  "FP_COUNT_PL",
  "FP_DL_CATENATE",
  "FP_2COUNT",
  "FP_DH_2DUP",
  "FP_OVERC_SV_1_PL",
  "FP_SWAPOVERC_SV_1_PL",
  "FP_EQ_OR_EQ",
  "FP_GT_AND_LT",
  "FP_256_SL",
  "FP_256_ST_PL",
  "FP_XXLAT",
  "FP_MEMBER",
  "FP_SRCH_DH_FAR_DH_LIST",
  "FP_TRAILC",
  "FP_2DROP0",
  "FP_DROP0",
  "FP_3PICK",
  "FP_4PICK",
  "FP_5PICK",
  "FP_IF_DH_SD_DH_ELSE_DH_D",
  "FP_SCMOVE",
  "FP_FILL",
  "FP_CMOVE",
  "FP_SWAPCMOVE",
  "FP_MAKE_DL",
  "FP_DL_MOVE",
  "FP_BMOVE",
  "FP_LC_AT",
  "FP_L_AT",
  "FP_L_SV",
  "FP_PL_SV_AT",
  "FP_ROTROT",
  "FP_IC_AT",
  "FP_IC_SV",
  "FP_2_ST",
  "FP_3_ST",
  "FP_PL_PL",
  "FP_DUP_DH_PL_PL",
  "FP_1_DH_1_PL_PL",
  "FP_BDOSX_DH_WRITE",
  "FP_BDOSX_DH_READ",
  "FP_BDOSX_DH_DELETE",
  "FP_BDOSX_DH_CLOSE",
  "FP_BDOSX_DH_OPEN",
  "FP_BDOSX_DH_CREATEF",
  "FP_FILE_DH_POSITION_DH_PRIM",
  "FP_FILE_DH_SIZE_DH_PRIM",
  "FP_FIND_DH_FIRST_DH_PRIM",
  "FP_LOCK_DH_RANGE",
  "FP_UNLOCK_DH_RANGE",
  "FP_BDOSX_DH_NETQ",
  "FP_ST",
  "FP_SL_MOD",
  "FP_BDOS_DH_SPACE",
  "FP_DEF_DH_DRV_DH_PRIM",
  "FP_XIT_DH_RET",
  "FP_SCOMPARE",
  "FP_PL_C_SV",
  "FP_PL_C_AT",
  "FP_3C_AT",
  "FP_3C_SV",
  "FP_1_PL_C_AT",
  "FP_2_PL_C_AT",
  "FP_3_PL_C_AT",
  "FP_4_PL_C_AT",
  "FP_2C_AT",
  "FP_2C_SV",
  "FP_2_PL_AT",
  "FP_4_PL_AT",
  "FP_DUP_AT",
  "FP_DUPC_AT",
  "FP_YC_AT",
  "FP_Y1_PL_C_AT",
  "FP_YC_SV",
  "FP_BCOUNT",
  "FP_BCOUNT_PL_1_PL",
  "FP_BCOUNT2",
  "FP_B_AT",
  "FP_BC_AT",
  "FP_B_SV",
  "FP_BC_SV",
  "FP_B3C_AT",
  "FP_B3C_SV",
  "FP_II_DH_SR3CX",
  "FP_II_DH_SR2C",
  "FP_II_DH_BACKC",
  "FP_II_DH_CMP",
  "FP_DL_GT_SORT",
  "FP_P_EQ_0_QM",
  "FP_P_DH_SIGN_AT",
  "FP_P_DH_SIGN_SV",
  "FP_P_DH_EXP_AT",
  "FP_P_DH_EXP_PL_SV_C",
  "FP_P_DH_DIG_AT",
  "FP_P_DH_DIG_SV"
};

